Skip to main content
POST
/
v5
/
expenses
/
vendor
Save a vendor
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/expenses/vendor \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "vendor": {
    "id": 123,
    "name": "<string>",
    "status": "ACTIVE",
    "defaultCategoryId": 123,
    "defaultBusinessId": 123,
    "defaultClientId": 123,
    "duplicateVendorIds": [
      123
    ]
  }
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

vendor object

vendor
object

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object